# docker-gdp

## Install docker
```
sudo pacman -S docker docker-compose docker-machine
```

## Clone this repos

this will clone this repos (main docker environement) and necessary other source code (synopsx, webapp, xml-tei sources, vuejs client)

```
git clone --recursive -o figli https://figureslibres.io/gogs/bachir/docker-gdp.git
```

## Docker

### build
only before the first run (may take some time)
```
sudo docker-compose build
```
### run
then each time you want to launch the app
```
sudo docker-compose up -d
```

## DB
<del>connect http://localhost:8984/synopsx/create-project</del>

<del>create a 'gdp' project</del>

<del>connect to http://localhost:8984/synopsx/config</del>
<del>select 'gpd' and click on 'ok'</del>

<del>the api is ready, you can go to http://localhost:8984/gdp/home</del>


## Client
```
cd client
npm install
npm run dev
```
open http://localhost:8080 in your browser


## Doc

https://github.com/guidesDeParis/webapp/blob/master/install.md

http://docs.basex.org/wiki/Docker

https://hub.docker.com/r/basex/basexhttp
